Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xml
Class ForwardingService

    java.lang.Object
      org.openxri.xml.Service
          org.openxri.xml.ForwardingService

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ForwardingService

extends Service

This is a Forwarding Service as described by "Forwarding Service v1.0 Working Draft 03, 7 September 2006 All constructors produce a service endpoint that conforms to the specification. It is currently not in the scope of OpenXRI to implement the actual forwarding for this service. The RECOMMENDED third-level DNS name for hosting a Forwarding Service is 'forwarding', e.g. 'forwarding.my-i-broker.com'

Author:
  =peacekeeper
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `INDEX_PATH`
`static java.lang.String[]` | `RECOMMENDED_ORGANIZATIONAL_DICTIONARY`
`static java.lang.String[]` | `RECOMMENDED_PERSONAL_DICTIONARY`
`static java.lang.String` | `SERVICE_TYPE`

Constructor Summary
`ForwardingService(java.net.URI forwardingPage)`
`ForwardingService(java.net.URI[] forwardingPages)`
`ForwardingService(java.net.URI[] forwardingPages, java.lang.String providerID)`
`ForwardingService(java.net.URI[] forwardingPages, java.lang.String providerID, boolean makeDefault)`
`ForwardingService(java.net.URI[] forwardingPages, java.lang.String providerID, boolean makeDefault, boolean useIndexPath)` Constructs a new Forwarding Service endpoint for use in an authority.
`ForwardingService(java.net.URI forwardingPage, java.lang.String providerID)`
`ForwardingService(java.net.URI forwardingPage, java.lang.String providerID, boolean makeDefault)`
`ForwardingService(java.net.URI forwardingPage, java.lang.String providerID, boolean makeDefault, boolean useIndexPath)`

Method Summary
`static boolean` | `isInstance(Service service)`

Methods inherited from class org.openxri.xml.Service
`addLocalID, addMediaType, addMediaType, addMediaType, addPath, addPath, addPath, addRedirect, addRef, addType, addType, addType, addURI, addURI, addURI, clone, dump, equals, fromDOM, getExtension, getKeyInfo, getLocalIDAt, getMediaType, getMediaTypeAt, getMediaTypes, getNumLocalIDs, getNumMediaTypes, getNumPaths, getNumRedirects, getNumRefs, getNumTypes, getNumURIs, getOtherChildrenVectorMap, getOtherTagValues, getPathAt, getPaths, getPrioritizedRedirects, getPrioritizedRefs, getPrioritizedURIs, getPriority, getProviderId, getRedirectAt, getRedirects, getRefAt, getRefs, getType, getTypeAt, getTypes, getURI, getURIAt, getURIForScheme, getURIs, matchType, reset, setExtension, setKeyInfo, setMediaType, setMediaTypes, setOtherTagValues, setPaths, setPrioritizedURIs, setPriority, setPriority, setProviderId, setType, setTypes, setURIs, toDOM, toDOM, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVICE_TYPE

    public static final java.lang.String SERVICE_TYPE

See Also:
  Constant Field Values

### INDEX_PATH

    public static final java.lang.String INDEX_PATH

See Also:
  Constant Field Values

### RECOMMENDED_PERSONAL_DICTIONARY

    public static final java.lang.String[] RECOMMENDED_PERSONAL_DICTIONARY

### RECOMMENDED_ORGANIZATIONAL_DICTIONARY

    public static final java.lang.String[] RECOMMENDED_ORGANIZATIONAL_DICTIONARY

Constructor Detail

### ForwardingService

    public ForwardingService(java.net.URI[] forwardingPages,
                             java.lang.String providerID,
                             boolean makeDefault,
                             boolean useIndexPath)

  Constructs a new Forwarding Service endpoint for use in an authority.

  Parameters:
    `forwardingPages` - - The URI(s) where forwarding (HTTP redirection) is implemented.
    `providerID` - - The global i-number of the I-Broker providing this Forwarding Service.
    `makeDefault` - - Whether to make the Forwarding Service the default service.
    `useIndexPath` - - Whether the Forwarding Service implementation responds to the OPTIONAL (+index) path.

### ForwardingService

    public ForwardingService(java.net.URI forwardingPage,
                             java.lang.String providerID,
                             boolean makeDefault,
                             boolean useIndexPath)

### ForwardingService

    public ForwardingService(java.net.URI[] forwardingPages,
                             java.lang.String providerID,
                             boolean makeDefault)

### ForwardingService

    public ForwardingService(java.net.URI forwardingPage,
                             java.lang.String providerID,
                             boolean makeDefault)

### ForwardingService

    public ForwardingService(java.net.URI[] forwardingPages,
                             java.lang.String providerID)

### ForwardingService

    public ForwardingService(java.net.URI forwardingPage,
                             java.lang.String providerID)

### ForwardingService

    public ForwardingService(java.net.URI[] forwardingPages)

### ForwardingService

    public ForwardingService(java.net.URI forwardingPage)

Method Detail

### isInstance

    public static boolean isInstance(Service service)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.